# Class AnchorScrollProvider

- Defined in src/services/anchor-scroll.js:22

##### Index

### Constructors

constructor

### Properties

$get
autoScrollingEnabled

### Methods

disableAutoScrolling

## Constructors

### constructor

- new AnchorScrollProvider(): AnchorScrollProvider

  #### Returns AnchorScrollProvider

  - Defined in src/services/anchor-scroll.js:23

## Properties

### $get

$get: (
| string
| (($location: Location, $rootScope: Scope) => AnchorScrollFunction)
)[] = ...

#### Type declaration

- string
- ($location: Location, $rootScope: Scope) => AnchorScrollFunction
  - - ($location: Location, $rootScope: Scope): AnchorScrollFunction

    - #### Parameters

      - $location: Location
      - $rootScope: Scope

      #### Returns AnchorScrollFunction

- Defined in src/services/anchor-scroll.js:31

### autoScrollingEnabled

autoScrollingEnabled: boolean

- Defined in src/services/anchor-scroll.js:24
- Defined in src/services/anchor-scroll.js:28

## Methods

### disableAutoScrolling

- disableAutoScrolling(): void

  #### Returns void

  - Defined in src/services/anchor-scroll.js:27